For the complete documentation index, see llms.txt. This page is also available as Markdown.

/refunds_stats

post

Get aggregated refund statistics for your account. Returns totals and counts broken down by payout status and refund type.

Compression

Optional HTTP compression is supported.

Request: Clients may compress the JSON request body and specify the encoding via the Content-Encoding header.

Response: Clients may request responses to be compressed by specifying encodings via the Accept-Encoding header.

Supported encodings:

  • zstd

  • gzip

  • br (Brotli)

Authorizations
Path parameters
chainstring · enumRequired

Chain to query for

Example: ethPossible values:
Body
end_blockinteger · nullableOptional
end_timestring · nullableOptional
start_blockinteger · nullableOptional
start_timestring · nullableOptional
Responses
200Success
application/json
mev_refund_amountstringRequired
paid_amountstringRequired
paid_countinteger · int64Required
pending_countinteger · int64Required
pending_refund_amountstringRequired
priority_fee_refund_amountstringRequired
total_refund_amountstringRequired
total_refund_countinteger · int64Required
post/v1/{chain}/refunds_stats
POST /v1/{chain}/refunds_stats HTTP/1.1
Host: api.novarpc.xyz
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "start_time": "2025-11-25T00:00:00Z",
  "end_time": "2025-11-26T00:00:00Z"
}
200Success
{
  "total_refund_amount": "525600000000000000",
  "pending_refund_amount": "125600000000000000",
  "paid_amount": "400000000000000000",
  "mev_refund_amount": "59077440000000000",
  "priority_fee_refund_amount": "466522560000000000",
  "total_refund_count": 1440,
  "pending_count": 340,
  "paid_count": 1100
}

Last updated